using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            double x = 0;
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            
            for(int i = 0; i < n; i++)
            {
                double r = 0;
                for(int j = 0; j < n; j++)
                {
                    if (p[j] >= p[i]) r = r + a[j] * (p[i] / 100);
                }
                if(r>max)
                {
                    max = r;
                    x = p[i];
                }
            }
            Console.WriteLine(max);
            
        }
    }
}